# Uses of Class
org.jmol.popup.PopupResource

Packages that use PopupResource
Package
Description
jspecview.popup
org.jmol.awt
org.jmol.modelkit
org.jmol.popup

## Uses of PopupResource in jspecview.popup

Subclasses of PopupResource in jspecview.popup
Modifier and Type
Class
Description
`class`
`JSVPopupResourceBundle`
Methods in jspecview.popup with parameters of type PopupResource
Modifier and Type
Method
Description
`protected void`
JSVGenericPopup.`initialize(JSViewer viewer, PopupResource bundle, String title)`

## Uses of PopupResource in org.jmol.awt

Methods in org.jmol.awt with parameters of type PopupResource
Modifier and Type
Method
Description
`protected void`
AwtJmolPopup.`addMenu(String id, String item, SC subMenu, String label, PopupResource popupResourceBundle)`
`protected void`
AwtModelKitPopup.`addMenu(String id, String item, SC subMenu, String label, PopupResource popupResourceBundle)`

## Uses of PopupResource in org.jmol.modelkit

Subclasses of PopupResource in org.jmol.modelkit
Modifier and Type
Class
Description
`class`
`ModelKitPopupResourceBundle`
Methods in org.jmol.modelkit that return PopupResource
Modifier and Type
Method
Description
`protected PopupResource`
ModelKitPopup.`getBundle(String menu)`
///////////// menu creation and update ///////////////

## Uses of PopupResource in org.jmol.popup

Subclasses of PopupResource in org.jmol.popup
Modifier and Type
Class
Description
`class`
`MainPopupResourceBundle`
Methods in org.jmol.popup that return PopupResource
Modifier and Type
Method
Description
`protected abstract PopupResource`
JmolGenericPopup.`getBundle(String menu)`
`protected PopupResource`
JmolPopup.`getBundle(String menu)`
Methods in org.jmol.popup with parameters of type PopupResource
Modifier and Type
Method
Description
`protected void`
GenericPopup.`addMenu(String id, String item, SC subMenu, String label, PopupResource popupResourceBundle)`
`void`
GenericPopup.`addMenuItems(String parentId, String key, SC menu, PopupResource popupResourceBundle)`
`protected void`
JmolGenericPopup.`initialize(Viewer vwr, PopupResource bundle, String title)`
`protected void`
GenericPopup.`initSwing(String title, PopupResource bundle, Object applet, boolean isJS, boolean isSigned, boolean isWebGL)`